Skip to main content
POST
/
surveys
/
{id}
/
agent
/
messages
Send agent message
curl --request POST \
  --url https://api.questra.ai/surveys/{id}/agent/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "message": "<string>",
  "thread_id": "<string>",
  "thread": {
    "id": "<string>",
    "metadata": {}
  },
  "model_id": "<string>"
}
'
{
  "thread_id": "<string>",
  "text": "<string>",
  "proposed_revision": {
    "summary": "<string>",
    "autoApplied": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

Body

application/json
message
string
required
Minimum string length: 1
thread_id
string
thread
object
model_id
string

Response

Final agent response.

thread_id
string
required
text
string
required
proposed_revision
object